# Uses of Enum Class
org.bukkit.profile.PlayerTextures.SkinModel

Packages that use PlayerTextures.SkinModel
Package
Description
org.bukkit.profile
Classes relevant to player profiles.

## Uses of PlayerTextures.SkinModel in org.bukkit.profile

Methods in org.bukkit.profile that return PlayerTextures.SkinModel
Modifier and Type
Method
Description
`@NotNull PlayerTextures.SkinModel`
PlayerTextures.`getSkinModel()`
Gets the model of the player's skin.
`static PlayerTextures.SkinModel`
PlayerTextures.SkinModel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerTextures.SkinModel[]`
PlayerTextures.SkinModel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.profile with parameters of type PlayerTextures.SkinModel
Modifier and Type
Method
Description
`void`
PlayerTextures.`setSkin(@Nullable URL skinUrl, @Nullable PlayerTextures.SkinModel skinModel)`
Sets the player's skin and `PlayerTextures.SkinModel`.